Package org.apache.storm.spout

## Enum CheckPointState.State

- java.lang.Object
- - java.lang.Enum<CheckPointState.State>
  - - org.apache.storm.spout.CheckPointState.State

- All Implemented Interfaces:
    `Serializable`, `Comparable<CheckPointState.State>`
  Enclosing class:
    CheckPointState

      public static enum CheckPointState.State
      extends Enum<CheckPointState.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMMITTED` | The checkpoint spout has committed the transaction.
    `COMMITTING` | The checkpoint spout has started committing the transaction and the commit is in progress.
    `PREPARING` | The checkpoint spout has started preparing the transaction for commit and the prepare is in progress.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CheckPointState.State` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CheckPointState.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMMITTED

          public static final CheckPointState.State COMMITTED

      The checkpoint spout has committed the transaction.

    - #### COMMITTING

          public static final CheckPointState.State COMMITTING

      The checkpoint spout has started committing the transaction and the commit is in progress.

    - #### PREPARING

          public static final CheckPointState.State PREPARING

      The checkpoint spout has started preparing the transaction for commit and the prepare is in progress.

  - ### Method Detail

    - #### values

          public static CheckPointState.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CheckPointState.State c : CheckPointState.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CheckPointState.State valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null